---
search:
  tags:
    - projects
    - PUT
seo:
  description: >-
    Updates a project's name and description. Reference for the PUT
    /project/{project_id} endpoint in the Platform API.
sidebar:
  label: Update a project
  badge: PUT
title: Update a project
type: openapi-operation
---
Updates a project's name and description.

`PUT /project/{project_id}`

**Request body** (`application/json`, required)

- `name` (string) — The updated name of the project.
- `description` (string) — The description of the project.

Request body example:

```json
{
  "name": "string",
  "description": "string"
}
```

**Responses**

- `200` — project updated successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "name": "string",
  "description": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
```
